package com.qxgmat.dto.admin.response;

import com.alibaba.fastjson.JSONObject;
import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.Question;
import com.qxgmat.dto.admin.extend.QuestionNoExtendDto;

import java.util.List;

@Dto(entity = Question.class)
public class QuestionDetailDto {
    private Integer id;

    private String stem;

    private String[] keyword;

    private String type;

    private String place;

    private String difficult;

//    private List<QuestionNoExtendDto> questionNos;
    private Integer[] questionNoIds;

    private JSONObject content;

    private JSONObject answer;

    private String officialContent;

    private String qxContent;

    private Integer[] associationContent;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getStem() {
        return stem;
    }

    public void setStem(String stem) {
        this.stem = stem;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getPlace() {
        return place;
    }

    public void setPlace(String place) {
        this.place = place;
    }

    public String getDifficult() {
        return difficult;
    }

    public void setDifficult(String difficult) {
        this.difficult = difficult;
    }

//    public List<QuestionNoExtendDto> getQuestionNos() {
//        return questionNos;
//    }
//
//    public void setQuestionNos(List<QuestionNoExtendDto> questionNos) {
//        this.questionNos = questionNos;
//    }

    public JSONObject getContent() {
        return content;
    }

    public void setContent(JSONObject content) {
        this.content = content;
    }

    public String[] getKeyword() {
        return keyword;
    }

    public void setKeyword(String[] keyword) {
        this.keyword = keyword;
    }

    public String getOfficialContent() {
        return officialContent;
    }

    public void setOfficialContent(String officialContent) {
        this.officialContent = officialContent;
    }

    public String getQxContent() {
        return qxContent;
    }

    public void setQxContent(String qxContent) {
        this.qxContent = qxContent;
    }

    public Integer[] getAssociationContent() {
        return associationContent;
    }

    public void setAssociationContent(Integer[] associationContent) {
        this.associationContent = associationContent;
    }

    public Integer[] getQuestionNoIds() {
        return questionNoIds;
    }

    public void setQuestionNoIds(Integer[] questionNoIds) {
        this.questionNoIds = questionNoIds;
    }

    public JSONObject getAnswer() {
        return answer;
    }

    public void setAnswer(JSONObject answer) {
        this.answer = answer;
    }
}
